--- old/usr/src/common/iscsit/iscsit_common.c	2012-09-26 12:51:34.468574842 +0000
+++ new/usr/src/common/iscsit/iscsit_common.c	2012-09-26 12:51:33.617612888 +0000
@@ -21,6 +21,9 @@
 /*
  * Copyright (c) 2008, 2010, Oracle and/or its affiliates. All rights reserved.
  */
+/*
+ * Copyright (c) 2012, Nexenta Systems, Inc. All rights reserved.
+ */
 
 #include <sys/time.h>
 
@@ -30,6 +33,7 @@
 #include <sys/sunddi.h>
 #include <sys/socket.h>
 #include <inet/tcp.h>
+#include <inet/ip.h>
 #else
 #include <stdio.h>
 #include <strings.h>
@@ -161,14 +165,6 @@
 		    (void *)&(sin->sin_addr.s_addr)) != 1) {
 			return (NULL);
 		}
-		/*
-		 * intet_pton does not seem to convert to network
-		 * order in kernel. This is a workaround until the
-		 * inet_pton works or we have our own inet_pton function.
-		 */
-#ifdef _KERNEL
-		sin->sin_addr.s_addr = ntohl((uint32_t)sin->sin_addr.s_addr);
-#endif
 		sin->sin_port = htons(tmp_port);
 	} else {
 		sin6 = (struct sockaddr_in6 *)sa;
